Download it now!
Bug 132022 - Remove Tango Icon Completely and Make It As Extension
Summary: Remove Tango Icon Completely and Make It As Extension
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-10 14:33 UTC by Rizal Muttaqin
Modified: 2020-08-13 20:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-04-10 14:33:31 UTC
Tango icon is a long veteran theme in LibreOffice but I feel the time has come. We should consider to remove it completely and make it as an extension in this 7.0 release.

1. Tango was used to blend with GNOME based GNU/Linux distribution which use old realistic GNOME/Adwaita icon theme as basis and now the theme itself has evolved into a flat style. So, right now Tango is not relevant anymore as we have elementary theme as a subsitution.

2. With much effort to make _every_ icon theme set complete (not fallbacked to any other theme), Tango got no attention anymore make it the only icon with many fallback items to Colibre.

3. We have extension to support user who want to use it in the future.

4. The removal will help reduce --albeit might not too significant-- the installation size
Comment 1 Roman Kuznetsov 2020-04-10 14:38:31 UTC
+1
Comment 2 Pedro 2020-04-10 16:31:08 UTC
Agreed!
Comment 3 V Stuart Foote 2020-04-10 17:24:28 UTC
+1, as agreed in bug 116695 Tango is a design dead end witout SVG source, unsupportable.

But are we sure we've cleared all fall-back to Tango (as expanded from Galaxy)? If so moving out of core, but available as extension, would make sense.
Comment 4 andreas_k 2020-04-10 17:48:37 UTC
Colibre is now the fallback off all icon themes and for LOOL the only icon theme, so I don't see an issue that Colibre can't be the fallback everywhere cause it's now already the fallback.
Comment 5 Rizal Muttaqin 2020-04-11 06:27:45 UTC
The patch is coming

https://gerrit.libreoffice.org/c/core/+/92055
Comment 6 Commit Notification 2020-04-29 19:29:10 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/528afad04f0ff9fda31a280f044bf91e864fae72

Remove tango icon theme, tdf#132022

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-07-17 04:50:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c33f3ede4a5e5336972aab2cb13714624d479b0a

Follow up tdf#132022: Remove Tango icons for LibreLogo

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-18 00:50:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4251ad5fe4a6c7b8e25debd609e9e0d5e50275d8

Follow up tdf#132022: Remove Tango icons for LibreLogo

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Ming Hua 2020-08-13 20:00:51 UTC
I assume https://extensions.libreoffice.org/en/extensions/show/tango-icon-theme-for-libreoffice is an extension blessed by the developers, and have added a link to the 7.0 release notes (it previously said "will be available as extension").